# Enable debug mode
%define debug 0

Name:		xsane
Version:	0.998
Release:	%mkrel 3
Summary:	Frontend for the SANE scanner interface
Group:		Graphics
URL:		http://www.xsane.org/
Source:		ftp://ftp.sane-project.org/pub/sane/xsane/%{name}-%version.tar.xz
Patch0:		xsane-0.99-browser.patch
Patch1:		xsane-desktop.patch
License:	GPLv2+
Requires:	libsane >= 1.0.4
Requires:	desktop-common-data
Provides:       scanner-gui
#----------------------------------------------
BuildRequires: ImageMagick
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}gimp2.0-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}lcms-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}sane1-devel
#----------------------------------------------
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Obsoletes:  	%name < %version

%description
XSane is an X based interface for the SANE (Scanner Access Now Easy)
library, which provides access to scanners, digital cameras, and other
capture devices.  XSane is written in GTK+ and provides control for
performing the scan and then manipulating the captured image.

You may install xsane-gimp if you want the GIMP plug-in.

%package gimp
Summary: 	GIMP plug-in which provides the SANE scanner interface
Group: 		Graphics
Requires: 	sane >= 1.0, %{name} >= %{version}

%description gimp
This package provides the regular XSane frontend for the SANE scanner
interface, but it works as a GIMP 2.0 plug-in.  You must have GIMP 2.0 (or
newer) installed to use this package.


%package doc
Summary: 	Documentation files for xsane
Group: 		Books/Computer books
Requires: 	sane >= 1.0, %{name} >= %{version}

%description doc
This package provides documentation fies for the XSane frontend.


%prep
%setup -q
%patch0 -p0 -b .www-browser
%patch1 -p1 -b .desktop-file


%build
%if %debug
export DONT_STRIP=1
CFLAGS="`echo %{optflags} |sed -e 's/-O3/-g/' |sed -e 's/-O2/-g/'`" CXXFLAGS="`echo %{optflags} |sed -e 's/-O3/-g/' |sed -e 's/-O2/-g/'`" %configure2_5x --with-install-root=%{buildroot}
%else
%configure2_5x --with-install-root=%{buildroot} 
%endif
perl -pi -e 's#LDFLAGS  =  -L/usr/lib -Wl,-rpath,/usr/lib#LDFLAGS  =  -L/usr/lib -Wl#' src/Makefile
##perl -pi -e 's#ja\.(po|gmo)##' po/Makefile
%make
mv src/xsane src/xsane-gimp

make clean
%if %debug
CFLAGS="`echo %{optflags} |sed -e 's/-O3/-g/' |sed -e 's/-O2/-g/'`" CXXFLAGS="`echo %{optflags} |sed -e 's/-O3/-g/' |sed -e 's/-O2/-g/'`" %configure2_5x --with-install-root=%{buildroot} --disable-gimp
%else
%configure2_5x --with-install-root=%{buildroot} --disable-gimp
%endif
perl -pi -e 's#LDFLAGS  =  -L/usr/lib -Wl,-rpath,/usr/lib#LDFLAGS  =  -L/usr/lib -Wl#' src/Makefile
##perl -pi -e 's#ja\.(po|gmo)##' po/Makefile
%make

%install

rm -rf %{buildroot}

%if %debug
export DONT_STRIP=1
%endif

%makeinstall_std
install src/xsane-gimp %{buildroot}%{_bindir}
%find_lang %{name}
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps
convert -scale 48 %{buildroot}/usr/share/pixmaps/xsane.xpm %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -scale 32 %{buildroot}/usr/share/pixmaps/xsane.xpm %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 %{buildroot}/usr/share/pixmaps/xsane.xpm %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

# dynamic desktop support
%define launchers /etc/dynamic/launchers/scanner
mkdir -p %{buildroot}%{launchers}
cat > %{buildroot}%{launchers}/%{name}.desktop << EOF
[Desktop Entry]
Name=XSane \$device
Comment=XSane
Exec=%_bindir/xsane
Terminal=false
Icon=%{name}
Type=Application
EOF

%clean
rm -fr %{buildroot}

%files
%defattr(-,root,root)
%config(noreplace) %{launchers}/%{name}.desktop
%{_bindir}/xsane
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/sane/xsane/xsane-eula.txt
%{_datadir}/sane/xsane/xsane-gpl.txt
%{_datadir}/locale

%files gimp
%defattr(-,root,root)
%{_bindir}/xsane-gimp

%files doc
%defattr(-,root,root)
%doc xsane*
%{_datadir}/sane/*
%{_mandir}/man1/*
%exclude %{_datadir}/sane/xsane/xsane-eula.txt
%exclude %{_datadir}/sane/xsane/xsane-gpl.txt


%post
%update_menus

update-alternatives --install %{launchers}/kde.desktop scanner.kde.dynamic %{launchers}/%{name}.desktop 30
update-alternatives --install %{launchers}/gnome.desktop scanner.gnome.dynamic %{launchers}/%{name}.desktop 30

%postun
%update_menus

if [ $1 = 0 ]; then
  update-alternatives --remove scanner.kde.dynamic %{launchers}/%{name}.desktop
  update-alternatives --remove scanner.gnome.dynamic %{launchers}/%{name}.desktop
fi


%post gimp
if [ -d %_libdir/gimp ]; then
  GIMPDIR=`ls -d %_libdir/gimp/[012]*`
  [ -z "$GIMPDIR" ] && exit 0
  for i in $GIMPDIR;do
  [ -d $i/plug-ins ] || mkdir -p $i/plug-ins
  %{__ln_s} -f %_bindir/xsane-gimp $i/plug-ins/xsane
  done
fi

%postun gimp
if [ $1 = 0 ]; then
  if [ -d %_libdir/gimp ]; then
    GIMPDIR=`ls -d %_libdir/gimp/[012]*`
        [ -z "$GIMPDIR" ] && exit 0
        for i in $GIMPDIR;do
    [ -d $i/plug-ins ] || mkdir -p $i/plug-ins
    %{__rm} -f $i/plug-ins/xsane
        done
  fi
fi


%changelog
* Sun Jun 15 2014 bb <bb> 0.998-3pclos2014
- rebuild against updated gphoto libs

* Mon Sep 05 2011 Texstar <texstar at gmail.com> 0.998-2pclos2011
- split doc files to make livecd smaller

* Tue Feb 01 2010 Ertain <sirius-c at iname.com> 0.998-1pclos2010
- 0.998

* Wed Oct 28 2009 Texstar <texstar at gmail.com> 0.996-1pclos2010
- gcc update

